Name:          libdwarf
Epoch:         1
Version:       0.9.1
Release:       1
Summary:       Library to access DWARF debugging information
License:       LGPLv2
URL:           http://www.prevanders.net/dwarf.html
Source0:       https://www.prevanders.net/%{name}-%{version}.tar.xz
Patch0:        CVE-2024-2002.patch
BuildRequires: gcc make python3 

%description
Libdwarf is a library of functions to provide read/write DWARF
debugging records.

%package devel
Summary:       Library and header files of libdwarf
Requires:      %{name} = %{epoch}:%{version}-%{release}
Provides:      libdwarf-static = %{version}-%{release}
Obsoletes:     libdwarf-static < %{version}-%{release}

%description devel
Libdwarf-devel provides libraries and header files for libdwarf.

%package tools
Summary:       Tools to access the DWARF debugging file format
Requires:      %{name} = %{epoch}:%{version}-%{release}

%description tools
Libdwarf-tools contains dwarfdump, a tool to access DWARF debug information.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1


%build
%configure --enable-shared
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make_build

%install
%make_install

%check

LD_LIBRARY_PATH=$PWD/src/lib/libdwarf/.libs  TZ=:America/Los_Angeles %__make check

%files
%defattr(-,root,root)
%license src/lib/libdwarf/{COPYING,LIBDWARFCOPYRIGHT,LGPL.txt}
%{_libdir}/libdwarf.so.0
%{_libdir}/libdwarf.so.0.*

%files devel
%defattr(-,root,root)
%{_includedir}/libdwarf-0
%{_libdir}/pkgconfig/libdwarf.pc
%{_libdir}/libdwarf.so
%{_libdir}/libdwarf.a
%exclude %{_libdir}/*.la

%files tools
%defattr(-,root,root)
%license src/bin/dwarfdump/{COPYING,DWARFDUMPCOPYRIGHT,GPL.txt}
%{_bindir}/dwarfdump
%{_datadir}/dwarfdump/dwarfdump.conf

%files help
%defattr(-,root,root)
%doc src/lib/libdwarf/{ChangeLog,README} doc/*.pdf
%{_mandir}/man1/dwarfdump.1.gz

%changelog
* Mon Mar 25 2024 wangkai <13474090681@163.com> - 1:0.9.1-1
- Update to 0.9.1 and fix CVE-2024-2002

* Thu Jun 15 2023 liyanan <thistleslyn@163.com> - 0.7.0-1
- Update to 0.7.0

* Tue Jul 26 2022 panys<panyanshuang@nati-gba.cn> - 20210528-1
- upgrade to version 20210528

* Tue Nov 24 2020 SimpleUpdate Robot <tc@openeuler.org> - 20201020-1
- Upgrade to version 20201020

* Sun Jun 21 2020 hanhui<hanhui15@huawei.com> - 20200114
- Mainline branch update to 20200114

* Tue Apr 21 2020 songnannan <songnannan2@huawei.com> - 20200114
- update to 20200114

* Tue Nov 05 2019 yanzhihua <yanzhihua4@huawei.com> - 20180809-2
- Package init
